Subject: Re: How could OPSFv3 support IPv4 ?

From: "Manral, Vishwas" <[email-masked]>
Date: Thu, 12 Dec 2002 01:17:49 -0500

Hi Vincent,

Actually thinking of it, if we want another bit v4-bit in the router LSA we
can have mixed topology in an area(i.e. some routers supporting IPv4 alone,
some supporting IPv6 alone and some supporting both). In that case we would
have to do seperate SPF per area for each protocol supported.

Thanks,
Vishwas

-----Original Message-----
From: Manral, Vishwas [mailto:[email-masked]]
Sent: Thursday, December 12, 2002 10:44 AM
To: [email-masked]
Subject: Re: How could OPSFv3 support IPv4 ?

Hi Vincent,

I think importing v2 LSA's directly would not be a good idea in this case,
as most of the information other than the IPv4 addresses are already there
in OSPFv3 LSA's. Importing it would make it compulsary for OSPFv3 to
understand OSPFv2 LSA types, besides the entire SPF processing(as well as
LSA generation), would have to change to make use of information contained
in OSPFv2 LSA's.

Using just the new OSPFv3 LSA's with equivalents for the IPv6 address
containing LSA's, would make the job a lot easier, and we could infact do
the SPF irrespective of protocol, and IPv4/IPv6 address nodes would be added
as stubs on the tree.

Thanks,
Vishwas

-----Original Message-----
From: Vincent Jardin [mailto:[email-masked]]
Sent: Thursday, December 12, 2002 1:10 AM
To: [email-masked]
Subject: Re: How could OPSFv3 support IPv4 ?

Hi Vishwas,

If we just have some new LSA types instead of the IPv4 mapped IPv6
address, would it be enough to import the OSPFv2 LSA's within OSPFv3 ?

Moreover, it could use the scope feature of OSPFv3.

Vincent

On Wed, 11 Dec 2002, Acee Lindem wrote:

> Manral, Vishwas wrote:
> > Hi Yasu,
> >
> > I think you missed "Link-LSA" equivalents. I think they would be
required
> > too !!!
>
> Yup. I think these would be needed too. Also, if we were serious about
this
> I don't think using the IPv4 mapped IPv6 address is the best way to go. It
> would be better to have new LSA types for for IPv4 or with an AF and
generic
> address.
>
> >
> > Thanks,
> > Vishwas
> >
> > -----Original Message-----
> > From: Yasuhiro Ohara [mailto:[email-masked]]
> > Sent: Wednesday, December 11, 2002 7:48 PM
> > To: [email-masked]
> > Subject: Re: How could OPSFv3 support IPv4 ?
> >
> >
> >
> >>I am wondering how OSPFv3 could support IPv4.
> >>
> >>According to the RFC2740, the 24-bit OSPFv3 options field describes the
> >>router capabilities. For example, the R-bit and the V6-bit are used in
> >>order to announce IPv6 forwarding capabilities. However, what's happened
> >>if this V6-bit is clear ?
> >
> >
> > RFC2740's section 2.7 gives the exact answer:
> >
> >       V6-bit specializes the R-bit; if the V6-bit is clear an OSPF
> >       speaker can participate in OSPF topology distribution without
> >       being used to forward IPv6 datagrams. If the R-bit is set and the
> >       V6-bit is clear, IPv6 datagrams are not forwarded but diagrams
> >       belonging to another protocol family may be forwarded.
> >
> > In routers do not support other protocol family other than IPv6,
> > the router having V6-bit off should be treated as a non-working router
> > from the rest of the network.
> >
> >
> >>If there would be a V4-bit in order to announce the IPv4 capabilities,
> >>how could OSPFv3 be extended in order to support IPv4 like Integrated
> >>ISIS ?
> >
> >
> > You'll need only to define IPv4 version of Intra-Area-Prefix-LSA,
> > Inter-Area-Prefix-LSA, AS-External-LSA. Using IPv6 address holding
> > embedded IPv4 address is another option. I guess IPv4-mapped will be
> > the right choice semantically in that case, but it may not be
> > accepted as I saw someone states "IPv4-mapped address should not
> > appear on the wire" somewhere. I believe it means as IP source or
> >  destination, though.
> >
> > regards,
> > yasu
>
> Acee
>

---

From: Vincent Jardin <[email-masked]>
Date: Thu, 12 Dec 2002 10:59:00 +0100

Hi Vishwas,

>have to do seperate SPF per area for each protocol supported.
It depends. For example, it could be optimized:
  - if all the routers supports IPv4 and IPv6, one SPF might be enough
  - if one router does not support IPv4 within the area, maybe 2 full
SPF computations are required

Regards,
  Vincent